QB_HDB_ITERATOR_RESET(3)

NAME
qb_hdb_iterator_reset - Reset the iterator.

SYNOPSIS
#include <qb/qbhdb.h>

void qb_hdb_iterator_reset(
    struct qb_hdb   *hdb   /* the database instance */
);

PARAMS
hdb the database instance

DESCRIPTION

STRUCTURES

struct qb_hdb {

    uint32_t    handle_count;

    qb_array_t  handles;

    uint32_t    iterator;

    void      (*destructor)(void *);

    uint32_t    first_run;
};

SEE ALSO

qb_hdb_handle_get(3), qb_hdb_handle_create(3), qb_hdb_handle_destroy(3), qb_hdb_handle_refcount_get(3), qb_hdb_iterator_next(3), qb_hdb_nocheck_convert(3), qb_hdb_create(3), qb_hdb_destroy(3), qb_hdb_base_convert(3), qb_hdb_handle_get_always(3), qb_hdb_handle_put(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.